Summary:  new MH mail handling system
Name: nmh
Obsoletes: mh
Provides: mh
Version: 0.24
Release: 7
Requires: smtpdaemon
Copyright: freeware
Group: Applications/Mail
Source0: ftp://ftp.math.gatech.edu/pub/nmh/nmh-0.24.tar.gz
Patch0: nmh-0.24-config.patch
Patch1: nmh-0.24-buildroot.patch
Patch2: nmh-0.24-security.patch
Buildroot: /var/tmp/nmh-buildroot
Summary(de): NMH-Mail-System
Summary(fr): Le systime de prise en charge de mail MH.
Summary(tr): nmh mektup sistemi

%changelog

* Sun May  3 1998 Alan Cox <alan@redhat.com>

- Fixed the obvious security holes. Im not sure I got them all, I may
  have broken a couple of things in the process. The code is such a 
  complete pile of donkey poo it is hard to be sure.
  
* Fri Apr 24 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Sun Apr 19 1998 Erik Troan <ewt@redhat.com>

- removed /usr/bin/mh and /usr/lib/mh from file list -- create them in
  scripts instead to avoid conflicts with the old mh package

* Sat Apr 11 1998 Donnie Barnes <djb@redhat.com>

- various spec file cleanups

* Wed Apr 8 1998 Bryan C. Andregg <bandregg@redhat.com>

- Fixed symlink install bug

* Tue Mar 31 1998 Bryan C. Andregg <bandregg@redhat.com>

- Added symlinks: /usr/bin/mh -> /usr/bin, /usr/lib/mh -> /usr/lib/nmh

* Wed Mar 25 1998 Bryan C. Andregg <bandregg@redhat.com>

- Initial build

%description
nmh mail handling system (with POP support). nmh is a popular
mail handling system but includes only a command line interface.  It is
an important base, however, for programs like xmh and exmh.

%description -l de
NMH-Mail-Handling-System (mit POP-Support). nmh ist ein beliebtes
Mail-Handling-System, bietet aber nur eine Befehlszeilen-Schnittstelle. 
Dennoch bildet es eine wichtige Grundlage fr Programme wie xmh und
exmh.

%description -l fr
Le systme de prise en charge de mail nmh (avec support POP). nmh
est un systhme de prise en charge de mail populaire mais inclue
seulement une interface en ligne de commande. Il est tout de mme
une base importante pour xmh et exmh.

%description -l tr
nmh yaygn olarak kullanlan bir mektup sistemidir. Yalnzca bir komut satr
arayz vardr. xmh ve exmh gibi programlar iin taban programdr.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .buildroot
%patch2 -p1 -b .security

%build
LIBS=-lgdbm ./configure --prefix=/usr \
			--exec-prefix=/usr \
			--bindir=/usr/bin \
			--libdir=/usr/lib/nmh \
			--sysconfdir=/etc/nmh \
			--with-editor=/bin/vi

make

%install
DESTDIR=$RPM_BUILD_ROOT make install
strip `file $RPM_BUILD_ROOT/usr/bin/* | grep ELF | cut -d':' -f 1`

chown root.mail $RPM_BUILD_ROOT/usr/bin/inc
chmod 2755 $RPM_BUILD_ROOT/usr/bin/inc

%post
if [ ! -d /usr/bin/mh -a ! -L /usr/bin/mh ] ; then
    ln -s . /usr/bin/mh
fi
if [ ! -d /usr/lib/mh -a ! -L /usr/lib/mh ] ; then
    ln -s nmh /usr/lib/mh
fi

%triggerpostun -- mh
if [ ! -d /usr/bin/mh -a ! -L /usr/bin/mh ] ; then
    ln -s . /usr/bin/mh
fi
if [ ! -d /usr/lib/mh -a ! -L /usr/lib/mh ] ; then
    ln -s nmh /usr/lib/mh
fi

%preun
[ ! -L /usr/bin/mh ] || rm -f /usr/bin/mh
[ ! -L /usr/lib/mh ] || rm -f /usr/lib/mh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYRIGHT DIFFERENCES FAQ MAIL.FILTERING README TODO VERSION ZSH.COMPLETION
%dir /usr/lib/nmh
%dir /etc/nmh
%config /etc/nmh/*
/usr/bin/*
/usr/lib/nmh/*
/usr/man/*/*
